Debian Bug report logs - #467552
rmdir(2) can return EEXISTS, too

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Martin Pitt <mpitt@debian.org>

Date: Tue, 26 Feb 2008 10:57:01 UTC

Severity: normal

Tags: fixed-upstream

Found in version manpages/2.77-1

Fixed in version manpages/2.80-1

Done: Joey Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#467552; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Debian BTS Submit <submit@bugs.debian.org>
Subject: rmdir(2) can return EEXISTS, too
Date: Tue, 26 Feb 2008 11:47:08 +0100
[Message part 1 (text/plain, inline)]
Package: manpages-dev
Version: 2.77-1

Current rmdir(2) manpage only lists

  ENOTEMPTY
      pathname  contains entries other than . and .. ; or, pathname has ..  as its final component.

However, according to the SuSv2 spec [1], rmdir can return either
ENOTEMPTY or EEXISTS in this case.

In fact, the current ntfs-3g version does use EEXISTS, allegedly
because "more software handle the relevant error scenario better that
way". (see [2] for the place where this originally came up)

Thank you,

Martin

[1] http://www.opengroup.org/onlinepubs/007908775/xsh/rmdir.html
[2] https://launchpad.net/bugs/186569

-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)

My 5 bugs today: #185273 #190947 #193494 #192786 #172792
Do 5 a day - every day! https://wiki.ubuntu.com/5-A-Day
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#467552; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk.manpages@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 467552@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk.manpages@googlemail.com>
To: Martin Pitt <mpitt@debian.org>, 467552@bugs.debian.org
Cc: debc <control@bugs.debian.org>
Subject: Re: Bug#467552: rmdir(2) can return EEXISTS, too
Date: Mon, 12 May 2008 15:09:41 +0200
tags 467552 fixed-upstream
thanks

Martin Pitt wrote:
> Package: manpages-dev
> Version: 2.77-1
> 
> Current rmdir(2) manpage only lists
> 
>   ENOTEMPTY
>       pathname  contains entries other than . and .. ; or, pathname has ..  as its final component.
> 
> However, according to the SuSv2 spec [1], rmdir can return either
> ENOTEMPTY or EEXISTS in this case.

For the next upstream release, I added:

    POSIX.1-2001 also allows EEXIST for this condition.

Thanks for the report Martin.

Cheers,

Michael

> In fact, the current ntfs-3g version does use EEXISTS, allegedly
> because "more software handle the relevant error scenario better that
> way". (see [2] for the place where this originally came up)
> 
> Thank you,
> 
> Martin
> 
> [1] http://www.opengroup.org/onlinepubs/007908775/xsh/rmdir.html
> [2] https://launchpad.net/bugs/186569
> 

-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
Found a bug? http://www.kernel.org/doc/man-pages/reporting_bugs.html





Tags added: fixed-upstream Request was from Michael Kerrisk <mtk.manpages@googlemail.com> to control@bugs.debian.org. (Mon, 12 May 2008 13:15:15 GMT) Full text and rfc822 format available.

Reply sent to Joey Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Pitt <mpitt@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 467552-close@bugs.debian.org (full text, mbox):

From: Joey Schulze <joey@infodrom.org>
To: 467552-close@bugs.debian.org
Subject: Bug#467552: fixed in manpages 2.80-1
Date: Sat, 07 Jun 2008 21:02:37 +0000
Source: manpages
Source-Version: 2.80-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.80-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.80-1_all.deb
manpages_2.80-1.diff.gz
  to pool/main/m/manpages/manpages_2.80-1.diff.gz
manpages_2.80-1.dsc
  to pool/main/m/manpages/manpages_2.80-1.dsc
manpages_2.80-1_all.deb
  to pool/main/m/manpages/manpages_2.80-1_all.deb
manpages_2.80.orig.tar.gz
  to pool/main/m/manpages/manpages_2.80.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467552@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 07 Jun 2008 22:42:06 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.80-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Joey Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 421482 467552 476484 476672 477402 479284
Changes: 
 manpages (2.80-1) unstable; urgency=low
 .
   * New upstream version
     . Add getgrouplist(3) to SEE ALSO of getgrent(2) (closes: Bug#479284)
     . Document EEXISTS for rmdir(2) (closes: Bug#467552)
     . Update to sync_file_range(2) (closes: Bug#421482)
     . Remove unnecessary subheading in utime(2) (closes: Bug#477402)
     . Fix declaration of valuep in getsubopt(3) (closes: Bug#476672)
     . Clarify semantics when called from a multithreaded program in
       raise(3) (closes: Bug#476484)
Checksums-Sha1: 
 c7ceec36090e7472f22d2bc9c34933cb75d38252 964 manpages_2.80-1.dsc
 4c87677b117244b0bf346d29fb386f445343d179 1317640 manpages_2.80.orig.tar.gz
 42bf361cca01cf7f5d929cbae0004502c4006e92 51304 manpages_2.80-1.diff.gz
 fe0c0cd9be2a77a9bedbeab29e1d5d08f2a31399 553902 manpages_2.80-1_all.deb
 d6cff52f9c47456598134c7cd584dd6978ebc7d4 1393904 manpages-dev_2.80-1_all.deb
Checksums-Sha256: 
 7cc2effe80c537c7d016c0a75250aa546761a9d1076a2cb4c3baa123602c858b 964 manpages_2.80-1.dsc
 887d9faa3e8bfb79336264c36fe8b65eb852e7b13043cbd66c17ba9ecac8ab55 1317640 manpages_2.80.orig.tar.gz
 e889887d4feee01e56997084849c22101fc791deca24d709586dd94df883b062 51304 manpages_2.80-1.diff.gz
 ef575a3deda4823f50c76edee8da050ada837f74adaf4030eaeb41476f836fd8 553902 manpages_2.80-1_all.deb
 ae04cb913484f94f842d6fb7d9024099b9f9203c4b84bf3f99abf24eb56bba2b 1393904 manpages-dev_2.80-1_all.deb
Files: 
 aa1d101adbc82d6c70070c66ef7a2901 964 doc important manpages_2.80-1.dsc
 1ffb19f639fc105c41fe24ec2308293f 1317640 doc important manpages_2.80.orig.tar.gz
 14718d9a35ecfa70089856e675fbb118 51304 doc important manpages_2.80-1.diff.gz
 fb663a344da9a61ea881d88ef16287a4 553902 doc important manpages_2.80-1_all.deb
 5f8a8ec191f8001a794f587739e8a96e 1393904 doc optional manpages-dev_2.80-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFISvNSW5ql+IAeqTIRAvXKAJ99mlb0ddU6OXn/H+Uy0nuBdPSiPACgskqv
M5aSonBZ6WRvLmJli1hC59k=
=hF0v
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 17 Jul 2008 07:32:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:32:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.